;TIP667.LSP   Date Stamp   (c)1991, Watson Kilbourne

(defun c:DDTS (/ CE AP CL DN CD MX HR MN LM LX DX TH DS MO YR TM TX)
    (setq CE (getvar "CMDECHO"))
    (setvar "CMDECHO" 0)
    (setq AP "AM"
          CL (getvar "CLAYER")
          DN (getvar "DWGNAME")
          CD (rtos (getvar "CDATE") 2 4)
          MX (atoi (substr CD 5 2))
          HR (atoi (substr CD 10 2))
          MN (substr CD 12 2)
          LM (getvar "LIMMIN")
          LX (getvar "LIMMAX")
          DX (distance LM LX)
          TH (rtos (/ DX 150) 2 2)
          DS (polar LM (/ pi 4) (/ DX 100))
          MO (nth MX '(nil "JAN" "FEB" "MAR" "APR" "MAY" "JUN"
                           "JUL" "AUG" "SEP" "OCT" "NOV" "DEC"))
    )
         (if (>= HR 12) (setq AP "PM"))
         (if (>= HR 13) (setq HR (itoa (- HR 12))) (setq HR (itoa HR)))
    (setq YR (strcat "DATE: " MO " " (substr CD 7 2) ", " (substr CD 1 4)))
    (setq TM (strcat "NAME: " DN ".DWG  " YR "  TIME: " HR ":" MN " " AP))
    (command ".LAYER" "T" "DATESTAMP" "")
    (command ".LAYER" "N" "DATESTAMP" "C" "7" "DATESTAMP" "S" "DATESTAMP" "")
    (setq TX (ssget "X" (list (cons 8 "DATESTAMP"))))
    (command ".ERASE" TX ""
             ".STYLE" "STANDARD" "" "0" "1" "0" "N" "N" "N"
             ".TEXT" DS TH "0" TM
             ".LAYER" "S" CL ""
    )
    (setvar "CMDECHO" CE)
  (print) (print TM) (princ)
)


